Duplicate invoice
curl --request POST \
--url https://api.example.com/invoices/{invoiceId}/duplicate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-environment: <x-environment>' \
--data '
{
"reverse": true
}
'import requests
url = "https://api.example.com/invoices/{invoiceId}/duplicate"
payload = { "reverse": True }
headers = {
"x-environment": "<x-environment>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-environment': '<x-environment>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({reverse: true})
};
fetch('https://api.example.com/invoices/{invoiceId}/duplicate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"currency": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"customer": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"handle": "<string>",
"name": "<string>",
"billingAddress": {
"street1": "<string>",
"street2": "<string>",
"postalCode": "<string>",
"city": "<string>",
"county": "<string>",
"country": "<string>",
"state": "<string>"
}
},
"memo": "<string>",
"handle": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"date": "2023-12-25",
"dueDate": "2023-12-25",
"updatedAt": "2023-11-07T05:31:56Z",
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"quantity": 123,
"unitAmount": 123,
"sku": "<string>",
"title": "<string>",
"description": "<string>",
"periodStart": "2023-12-25",
"periodEnd": "2023-12-25",
"amount": 123,
"taxAmount": 123,
"tax": {
"taxable": true,
"taxCode": "<string>",
"taxRate": 123
},
"discount": {
"percentage": 123,
"amount": 123
}
}
],
"settlements": [
{
"date": "2023-12-25",
"amount": 123,
"reference": "<string>",
"note": "<string>"
}
],
"totalExclVat": 123,
"totalVat": 123,
"totalInclVat": 123,
"totalDue": 123
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}Invoices
Duplicate invoice
Create a new invoice based on an existing invoice.
POST
/
invoices
/
{invoiceId}
/
duplicate
Duplicate invoice
Headers
Configure which environment the request will handle. If the provided credentials do not allow access to this specified environment, a 403 Forbidden response is returned.
Path Parameters
Id of invoice to duplicate.
Body
application/json
Reques options.
Response
OK
Show child attributes
Show child attributes
Unique invoice number.
Available options:
draft, booked Show child attributes
Show child attributes
Show child attributes
Show child attributes
Available options:
invoice, credit_note Available options:
settled, over_settled, under_settled, not_settled Was this page helpful?
⌘I

